package com.ruoyi.bst.withdraw.domain.enums;

import com.ruoyi.common.utils.collection.CollectionUtils;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.List;

/**
 * @author wjh
 * 2025/4/7
 */
@Getter
@AllArgsConstructor
public enum WithdrawStatus {

    WAIT_VERIFY("WAIT_VERIFY", "审核中"),
    PAYING("PAYING", "打款中"),
    SUCCESS("SUCCESS", "已打款"),
    REJECTED("REJECTED", "驳回"),
    FAILED("FAILED", "打款失败");

    private final String code;
    private final String name;

    public static List<String> canVerify() {
        return CollectionUtils.map(WithdrawStatus::getCode, WAIT_VERIFY);
    }
}
